curl --request GET \
--url https://api.attio.com/v2/lists/{list}/entries/{entry_id}/attributes/{attribute}/values \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.attio.com/v2/lists/{list}/entries/{entry_id}/attributes/{attribute}/values"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.attio.com/v2/lists/{list}/entries/{entry_id}/attributes/{attribute}/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.attio.com/v2/lists/{list}/entries/{entry_id}/attributes/{attribute}/values",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.attio.com/v2/lists/{list}/entries/{entry_id}/attributes/{attribute}/values"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.attio.com/v2/lists/{list}/entries/{entry_id}/attributes/{attribute}/values")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.attio.com/v2/lists/{list}/entries/{entry_id}/attributes/{attribute}/values")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": "2023-01-01T15:00:00.000000000Z",
"created_by_actor": {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
},
"referenced_actor_type": "workspace-member",
"referenced_actor_id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b",
"attribute_type": "actor-reference"
}
]
}{
"status_code": 404,
"type": "invalid_request_error",
"code": "not_found",
"message": "List with slug/ID \"enterprise_sales\" not found."
}List attribute values for a list entry
Gets all values for a given attribute on a list entry. This endpoint has the ability to return all historic values using the show_historic query param. Historic values are sorted from oldest to newest (by active_from).
Required scopes: list_entry:read, list_configuration:read.
Supported token levels: workspace, user.
curl --request GET \
--url https://api.attio.com/v2/lists/{list}/entries/{entry_id}/attributes/{attribute}/values \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.attio.com/v2/lists/{list}/entries/{entry_id}/attributes/{attribute}/values"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.attio.com/v2/lists/{list}/entries/{entry_id}/attributes/{attribute}/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.attio.com/v2/lists/{list}/entries/{entry_id}/attributes/{attribute}/values",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.attio.com/v2/lists/{list}/entries/{entry_id}/attributes/{attribute}/values"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.attio.com/v2/lists/{list}/entries/{entry_id}/attributes/{attribute}/values")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.attio.com/v2/lists/{list}/entries/{entry_id}/attributes/{attribute}/values")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": "2023-01-01T15:00:00.000000000Z",
"created_by_actor": {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
},
"referenced_actor_type": "workspace-member",
"referenced_actor_id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b",
"attribute_type": "actor-reference"
}
]
}{
"status_code": 404,
"type": "invalid_request_error",
"code": "not_found",
"message": "List with slug/ID \"enterprise_sales\" not found."
}Authorizations
Scopes
Path Parameters
Query Parameters
If true, the endpoint will return all historic values for the attribute. If false, the endpoint will only return the currently active value(s). Defaults to false. Can only be set to true for attributes which support historic data; the endpoint will throw if set to true for non-historic attributes.
true
The maximum number of results to return. See the full guide to pagination here.
10
The number of results to skip over before returning. See the full guide to pagination here.
5
Was this page helpful?